LIGHTROOM Classic ask to download rosetta to be installed on Mac With M1 processor ?

New Here ,
Jul 26, 2021 Jul 26, 2021

Copy link to clipboard

Copied

Hello

Lightroom Classic is supposed to run nativelly with the new M1 processor on MAC computer but it still asks to download Rosetta !? (see file attached )

My computer is a Macbookpro 13" M1 OS 11.3.1

thanks for your help  

Carole

TOPICS
Activation , Installation

Views

1.5K

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

LEGEND , Jul 27, 2021 Jul 27, 2021
You are not running Lightroom, the screen shot shows this. You are running the special app "Lightroom Installer". It is very likely this will need Rosetta. You WILL need Rosetta, don't fight it !!

Likes

Translate

Translate
Adobe Community Professional ,
Jul 27, 2021 Jul 27, 2021

Copy link to clipboard

Copied

what version are you trying to install?

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Jul 27, 2021 Jul 27, 2021

Copy link to clipboard

Copied

LATEST

You are not running Lightroom, the screen shot shows this. You are running the special app "Lightroom Installer". It is very likely this will need Rosetta. You WILL need Rosetta, don't fight it !!

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines